#!/bin/sh

#
# Copyright (c) 2019 Cumulus Networks, Inc.  All rights reserved.
#

# Enable normal LED function

sysfs_base="/sys/devices/pci0000:00/0000:00:12.0/i2c-1/i2c-11/11-0060"

[ -w "${sysfs_base}/enable_leds" ] || {
    log_failure_msg "Unable for find writeable sysfs file: ${sysfs_base}/enable_leds"
    exit 1
}
echo 0x1 > ${sysfs_base}/enable_leds

