#!/bin/sh

#
# Copyright 2018 Cumulus Networks, Inc.
# All rights reserved.
#

# Set the default front panel LED states
CPLD=/sys/bus/platform/devices/accton_as7326_56x_cpld.0

# Set PSU1, PSU2 and FAN LEDs to hardware control
PSU1_LED="${CPLD}/psu1_hw_ctrl"
[ -w "$PSU1_LED" ] && echo 0x1 > $PSU1_LED

PSU2_LED="${CPLD}/psu2_hw_ctrl"
[ -w "$PSU2_LED" ] && echo 0x1 > $PSU2_LED

FAN_LED="${CPLD}/fan_hw_ctrl"
[ -w "$FAN_LED" ] && echo 0x1 > $FAN_LED

# Turn LOCATOR off
LOC_LED="${CPLD}/led_loc"
[ -w "$LOC_LED" ] && echo off > $LOC_LED
