#!/bin/bash

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing GPIOs.."

# disable lpmode, reset all QSFP ports
for qsfp in 1 2 3 4; do
    echo 0 > /sys/devices/ffe05000.localbus/ffb40000.CPLD234/qsfp${qsfp}_control
done

sleep .1

for qsfp in 1 2 3 4; do
    echo 1 > /sys/devices/ffe05000.localbus/ffb40000.CPLD234/qsfp${qsfp}_control
done
