#!/bin/bash

#
# Copyright 2017 Cumulus Networks, Inc.  All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFPs.."

#
# set all qsfp ports to high power mode
#
echo 0 > /sys/bus/platform/devices/cel_redstone_v_cpld.0/qsfp_lp_mode
