#!/bin/sh

#
# Copyright (c) 2015 Cumulus Networks, Inc.  All rights reserved.
#

# Disable write protect on the SYSTEM_EEPROM.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

enable_eeprom_write()
{
    echo 0xf2 > /sys/bus/platform/devices/cel_seastone_cpld.0/write_protect
}

case "$1" in
  start)
        enable_eeprom_write
	;;
  *)
	;;
esac
