#!/bin/sh

#
# Copyright (c) 2015 Cumulus Networks, Inc.  All rights reserved.
#

# Configure QSFP ports for high power mode.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

qsfp_high_power()
{
    echo 0 > /sys/devices/platform/cel_seastone_cpld.0/qsfp_lp_mode
}

case "$1" in
  start)
	qsfp_high_power
	;;
  *)
	;;
esac
