#!/bin/sh

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Configure the MAC address for eth0, using the board EEPROM for the
# MAC address.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

enable_eeprom_write()
{
    echo 0xfe > /sys/bus/platform/devices/cel_smallstone_xp_cpld.0/write_protect
}

case "$1" in
  start)
        enable_eeprom_write
	;;
  *)
	;;
esac
