#!/bin/bash

#
# Copyright 2016 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFPs.."

# disable lpmode, reset all QSFP ports
echo 0 > /sys/bus/platform/devices/dell_s4048t_cpld.0/qsfp_lp_mode
echo 0x3f > /sys/bus/platform/devices/dell_s4048t_cpld.0/qsfp_reset
sleep .1
echo 0 > /sys/bus/platform/devices/dell_s4048t_cpld.0/qsfp_reset
# enables access to QSFP EEPROMs
echo 0 > /sys/bus/platform/devices/dell_s4048t_cpld.0/qsfp_modsel