#!/bin/bash

#
# Copyright 2015 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFPs.."

# set Rate select, tx disable and interrupt masks
echo 0x0 > /sys/bus/platform/devices/z9100_cpld.0/sfp_tx_disable
echo 0x3 > /sys/bus/platform/devices/z9100_cpld.0/sfp_rs_ctrl
echo 0x3 > /sys/bus/platform/devices/z9100_cpld.0/sfp_present_mask
echo 0x3 > /sys/bus/platform/devices/z9100_cpld.0/sfp_rxlos_mask
