#!/bin/bash

#
# Copyright 2015 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing ZQSFPs.."

# disable lpmode and un-reset all QSFP ports
echo 0 > /sys/bus/platform/devices/z9100_cpld.0/zqsfp_lpmod
echo 0 > /sys/bus/platform/devices/z9100_cpld.0/zqsfp_reset
# Mask present interrupts  and regular interrupts
echo 0xffffffff > /sys/bus/platform/devices/z9100_cpld.0/zqsfp_present_mask
echo 0xffffffff > /sys/bus/platform/devices/z9100_cpld.0/zqsfp_int_mask
