#!/bin/bash

#
# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFF Pluggables..."

# reset all QSFP28 ports and disable lpmod
echo 0x3f > /sys/bus/platform/devices/dellemc_s5048f_cpld.0/qsfp28_reset
sleep .1
echo 0 > /sys/bus/platform/devices/dellemc_s5048f_cpld.0/qsfp28_reset
echo 0 > /sys/bus/platform/devices/dellemc_s5048f_cpld.0/qsfp28_lpmod

# enable tx lasers and set rs mode on all SFP28 ports
echo 0 > /sys/devices/platform/dellemc_s5048f_cpld.0/sfp28_tx_disable
echo 0xffffffffffff > /sys/devices/platform/dellemc_s5048f_cpld.0/sfp28_rs

