#!/bin/sh

#
# Copyright (c) 2019 Cumulus Networks, Inc.  All rights reserved.
#

# Make sure eth1 and eth2 are disabled by default as they are not wired up.
# Do this before reloading module to cut down on dmseg spam and to prevent
# attempts to configure them for dhcp which can slow down boot.

for dev in eth1 eth2; do
    remove=/sys/class/net/${dev}/device/remove
    [ -e ${remove} ] && echo 1 > ${remove}
done
