#!/bin/bash

#
# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved.
#

echo "  Initializing SFF Pluggables..."

# reset all QSFP ports
for i in `seq 1 32` ; do
    echo 1 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_reset
done
sleep .1
for i in `seq 1 32` ; do
    echo 0 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_reset
done

# disable lpmode and enable modsel for all QSFP ports
for i in `seq 1 32` ; do
    echo 0 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_lpmode
    echo 1 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_modsel
done

