#!/bin/sh

#
# Copyright (c) 2018, 2019 Cumulus Networks, Inc.  All rights reserved.
#

echo "  Initializing SFF Pluggables..."

# CPLD locations in sysfs
CPLD2=/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-14/14-0038
CPLD3=/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-15/15-0038

# Disable lpmode to all the QSFP28 ports
echo 0x0 > ${CPLD2}/qsfp28_1_16_lpmode
echo 0x0 > ${CPLD3}/qsfp28_17_32_lpmode

# Reset all the QSFP28 ports
echo 0xffff > ${CPLD2}/qsfp28_1_16_reset
echo 0xffff > ${CPLD3}/qsfp28_17_32_reset
sleep .1
echo 0x0 > ${CPLD2}/qsfp28_1_16_reset
echo 0x0 > ${CPLD3}/qsfp28_17_32_reset

