#!/bin/bash

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing GPIOs.."

# tx enable
for port in `seq 1 48`; do
    echo 0 > /sys/class/gpio/sfp${port}_tx_disable/value
done

# disable lpmode
for port in `seq 49 54`; do
    echo 0 > /sys/class/gpio/qsfp${port}_lpmode/value
done

