#!/bin/sh

# Copyright (c) 2019 Cumulus Networks, Inc.
# All rights reserved.

echo "  Initializing SFF Ports..."

sysfs_cpld2="/sys/bus/i2c/devices/11-0061"
sysfs_cpld3="/sys/bus/i2c/devices/11-0062"

# Enable all SFP ports

echo 0 > "${sysfs_cpld2}/sfp_38_1_tx_disable"
echo 0 > "${sysfs_cpld3}/sfp_48_39_tx_disable"

# Reset all QSFP28 ports

echo 0x3f > "${sysfs_cpld3}/qsfp_54_49_reset"
sleep .1
echo 0 > "${sysfs_cpld3}/qsfp_54_49_reset"

# Take all QSFP28 ports out of lpmode

echo 0 > "${sysfs_cpld3}/qsfp_54_49_lpmode"

