#!/bin/sh

#
# Copyright 2015 Cumulus Networks, Inc.
# All rights reserved.
#

# Set the default front panel LED states
CPLD=/sys/bus/platform/devices/accton_as6712_32x_cpld.0

# Set PSU1, PSU2 and FAN LEDs to hardware control
PSU1_LED="${CPLD}/led_psu1"
[ -w "$PSU1_LED" ] && echo hw_ctrl > $PSU1_LED

PSU2_LED="${CPLD}/led_psu2"
[ -w "$PSU2_LED" ] && echo hw_ctrl > $PSU2_LED

FAN_LED="${CPLD}/led_fan"
[ -w "$FAN_LED" ] && echo hw_ctrl > $FAN_LED

# Turn LOCATOR off
LOC_LED="${CPLD}/led_loc"
[ -w "$LOC_LED" ] && echo off > $LOC_LED
