#!/bin/sh

#
# Copyright 2017 Cumulus Networks, Inc.
# All rights reserved.
#

# Disable LED test modes and enable the Tomahawk LED stream.

system_cpld_path="/sys/bus/i2c/devices/0-0032"

for f in led_test_mode_enable led_test_blink_enable led_walk_test_enable led_act_enable led_bcm_reset ; do
    [ -w "${system_cpld_path}/$f" ] && {
         echo 0 > ${system_cpld_path}/$f
    }
done

[ -w "${system_cpld_path}/led_bcm_enable" ] && echo 1 > ${system_cpld_path}/led_bcm_enable
