#!/bin/bash

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFPs.."

# set 10G rate on all 4 SFP ports
echo 0x0F > /sys/bus/platform/devices/cel_e1031_cpld.0/sfp_rate
# set TX_ENABLE on all 4 SFP ports
echo 0x0F > /sys/bus/platform/devices/cel_e1031_cpld.0/sfp_tx_enable

