#!/bin/bash
#
# Copyright 2017 Cumulus Networks, Inc.  All rights reserved.
#

# Invoked by the cumulus-platform service early in boot.

[ "$1" = "start" ] || exit 0

problemdir=/run/problems

# Create the $problemdir directory
# Write the switchd-unlicensed file in that directory
# The file will be removed by the switchd start up script.
# We do it this way because the switchd.service doesn't run if no license file
# is present.
# The check-errors script will display the file if present, as well as any other
# files present in that directory

mkdir -p $problemdir
echo 'switchd is not licensed' > $problemdir/switchd-unlicensed
