#!/bin/sh

#
# Copyright 2016 Cumulus Networks, Inc.
# All rights reserved.
#

# Rename eth interfaces to swp
[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions


log_action_msg "   Renaming eth interfaces to swp"
interfaces=`ip link show | sed -n 's/.*\(eth[1-9][0-9]*\):.*/\1/p'`
for i in $interfaces ; do
    num=`echo $i | sed -n 's/.*eth\(.*\).*/\1/p'`
    ip link set eth$num name swp$num
done
