#!/bin/bash

#
# Copyright 2015 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Setting shutdown mode to ON.."

# For older versions of CPLD, this is a No-op.
# For newer versions of CPLD, this changes shutdown behavior
# from FTOS to ON.
echo 1 > /sys/devices/platform/dell_s4000_cpld.0/shutdown_mode
