#!/bin/bash

#
# Copyright (c) 2019 Cumulus Networks, Inc.
# All rights reserved.
#

echo "  Initializing SFF pluggables..."

cpld_path="/sys/devices/pci0000:00/0000:00:12.0/i2c-1/1-0032"

# turn off tx_disable
echo 0 > ${cpld_path}/sfp28_52_49_tx_disable

# remove reset and turn off lp_mode on QSFPs
echo 0 > ${cpld_path}/qsfp28_54_53_reset
echo 0 > ${cpld_path}/qsfp28_54_53_lpmode
