#!/bin/bash

#
# Copyright (c) 2018, 2019 Cumulus Networks, Inc.  All rights reserved.
#

echo "  Initializing SFF Pluggables..."

# reset all QSFP ports and then disable lpmode
for i in 49 `seq 52 56` ; do
    echo 1 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_reset
done
sleep .1
for i in 49 `seq 52 56` ; do
    echo 0 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_reset
    echo 0 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_lpmode
done

# enable modsel on all QSFP ports
for i in 49 `seq 52 56` ; do
    echo 1 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_modsel
done

# enable tx on all SFP28 ports
for i in `seq 1 48` ; do
    echo 1 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_tx_enable
done

