#!/bin/bash

#
# Copyright 2017 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing LEDs.."

sysfs_cpld="/sys/bus/platform/devices/delta_a7648_cpld.0"

# turn locator LED off
[ -w "${sysfs_cpld}/led_locator" ] || {
	log_failure_msg "Unable to find node ${hwmon_path}"
	exit 1
}

echo off > ${sysfs_cpld}/led_locator
