#!/bin/sh

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Deassert Reset and set lpmode = 0 for phyless QSFPs

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

qsfp_path="/sys/bus/i2c/drivers/ly9_rangeley_cpld/0-003a"

for i in `seq 49 53`
do
    if [ -f ${qsfp_path}/qsfp${i}_reset ];
    then
	echo 1 > ${qsfp_path}/qsfp${i}_reset
    fi

    if [ -f ${qsfp_path}/qsfp${i}_lpmode ];
    then
	echo 0 > ${qsfp_path}/qsfp${i}_lpmode
    fi
done
